<?php

namespace App\Game\Enum;

enum SessionSettingType: string
{
    case PWD_FOR_PLAYER1 = 'PwdForPlayer1';
    case PWD_FOR_PLAYER2 = 'PwdForPlayer2';
    case PWD_FOR_PLAYER3 = 'PwdForPlayer3';
    case PWD_FOR_PLAYER4 = 'PwdForPlayer4';
    case PWD_FOR_PLAYER5 = 'PwdForPlayer5';
    case PWD_FOR_PLAYER6 = 'PwdForPlayer6';
    case PWD_FOR_PLAYER7 = 'PwdForPlayer7';
    case PWD_FOR_PLAYER8 = 'PwdForPlayer8';
    case PWD_FOR_PLAYER9 = 'PwdForPlayer9';
    case PWD_FOR_PLAYER10 = 'PwdForPlayer10';
    case RIGHTS_FOR_PLAYER1 = 'RightsForPlayer1';
    case RIGHTS_FOR_PLAYER2 = 'RightsForPlayer2';
    case RIGHTS_FOR_PLAYER3 = 'RightsForPlayer3';
    case RIGHTS_FOR_PLAYER4 = 'RightsForPlayer4';
    case RIGHTS_FOR_PLAYER5 = 'RightsForPlayer5';
    case RIGHTS_FOR_PLAYER6 = 'RightsForPlayer6';
    case RIGHTS_FOR_PLAYER7 = 'RightsForPlayer7';
    case RIGHTS_FOR_PLAYER8 = 'RightsForPlayer8';
    case RIGHTS_FOR_PLAYER9 = 'RightsForPlayer9';
    case RIGHTS_FOR_PLAYER10 = 'RightsForPlayer10';
    case INVITE_CODE = 'InviteCode';
    case SET_OF_DELETED_FILES = 'SetOfDeletedFiles';
    case CHAT_TRACKING_FOR_PLAYER1 = 'ChatTrackingForPlayer1';
    case CHAT_TRACKING_FOR_PLAYER2 = 'ChatTrackingForPlayer2';
    case CHAT_TRACKING_FOR_PLAYER3 = 'ChatTrackingForPlayer3';
    case CHAT_TRACKING_FOR_PLAYER4 = 'ChatTrackingForPlayer4';
    case CHAT_TRACKING_FOR_PLAYER5 = 'ChatTrackingForPlayer5';
    case CHAT_TRACKING_FOR_PLAYER6 = 'ChatTrackingForPlayer6';
    case CHAT_TRACKING_FOR_PLAYER7 = 'ChatTrackingForPlayer7';
    case CHAT_TRACKING_FOR_PLAYER8 = 'ChatTrackingForPlayer8';
    case CHAT_TRACKING_FOR_PLAYER9 = 'ChatTrackingForPlayer9';
    case CHAT_TRACKING_FOR_PLAYER10 = 'ChatTrackingForPlayer10';
    case VERIFY_CODES_FOR_PLAYER1 = 'VerifyCodesForPlayer1';
    case VERIFY_CODES_FOR_PLAYER2 = 'VerifyCodesForPlayer2';
    case VERIFY_CODES_FOR_PLAYER3 = 'VerifyCodesForPlayer3';
    case VERIFY_CODES_FOR_PLAYER4 = 'VerifyCodesForPlayer4';
    case VERIFY_CODES_FOR_PLAYER5 = 'VerifyCodesForPlayer5';
    case VERIFY_CODES_FOR_PLAYER6 = 'VerifyCodesForPlayer6';
    case VERIFY_CODES_FOR_PLAYER7 = 'VerifyCodesForPlayer7';
    case VERIFY_CODES_FOR_PLAYER8 = 'VerifyCodesForPlayer8';
    case VERIFY_CODES_FOR_PLAYER9 = 'VerifyCodesForPlayer9';
    case VERIFY_CODES_FOR_PLAYER10 = 'VerifyCodesForPlayer10';
    case VERIFICATION_PROGRESS_FOR_PLAYER1 = 'VerificationProgressForPlayer1';
    case VERIFICATION_PROGRESS_FOR_PLAYER2 = 'VerificationProgressForPlayer2';
    case VERIFICATION_PROGRESS_FOR_PLAYER3 = 'VerificationProgressForPlayer3';
    case VERIFICATION_PROGRESS_FOR_PLAYER4 = 'VerificationProgressForPlayer4';
    case VERIFICATION_PROGRESS_FOR_PLAYER5 = 'VerificationProgressForPlayer5';
    case VERIFICATION_PROGRESS_FOR_PLAYER6 = 'VerificationProgressForPlayer6';
    case VERIFICATION_PROGRESS_FOR_PLAYER7 = 'VerificationProgressForPlayer7';
    case VERIFICATION_PROGRESS_FOR_PLAYER8 = 'VerificationProgressForPlayer8';
    case VERIFICATION_PROGRESS_FOR_PLAYER9 = 'VerificationProgressForPlayer9';
    case VERIFICATION_PROGRESS_FOR_PLAYER10 = 'VerificationProgressForPlayer10';
    case EVERYONE_VERIFIED = 'EveryoneVerified';
    case SPECIAL_REPORT_CODE_DOYLE = 'SpecialReportCodeDoyle';
    case SPECIAL_REPORT_CODE_VEGA = 'SpecialReportCodeVega';
    case SPECIAL_REPORT_CODE_LENNOX = 'SpecialReportCodeLennox';
    case READY_AT_FOR_PLAYER1 = 'ReadyAtForPlayer1';
    case READY_AT_FOR_PLAYER2 = 'ReadyAtForPlayer2';
    case READY_AT_FOR_PLAYER3 = 'ReadyAtForPlayer3';
    case READY_AT_FOR_PLAYER4 = 'ReadyAtForPlayer4';
    case READY_AT_FOR_PLAYER5 = 'ReadyAtForPlayer5';
    case READY_AT_FOR_PLAYER6 = 'ReadyAtForPlayer6';
    case READY_AT_FOR_PLAYER7 = 'ReadyAtForPlayer7';
    case READY_AT_FOR_PLAYER8 = 'ReadyAtForPlayer8';
    case READY_AT_FOR_PLAYER9 = 'ReadyAtForPlayer9';
    case READY_AT_FOR_PLAYER10 = 'ReadyAtForPlayer10';
    case FEEDBACK_DIFFICULTY = 'FeedbackDifficulty';
    case FEEDBACK_ENTERTAINING = 'FeedbackEntertaining';
    case FEEDBACK_THEME = 'FeedbackTheme';
    case FEEDBACK_TEXT = 'FeedbackText';
}
